godo.VectorDBs.ListBackups()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.VectorDBs.ListBackups(ctx context.Context, id string) ([]godo.VectorDBBackup, *godo.Response, error)Description
ListBackups returns the available backups for a vector database.
Only backups with status SUCCESS are returned.
This method sends a GET request to /v2/vector-databases/{}/backups.
Parameters
idstring required
Returns
- []godo.VectorDBBackup
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.VectorDBBackup
VectorDBBackup represents a single backup of a vector database.
BackupIDstringStatusstringStartedAttime.TimeCompletedAttime.Time
Request Sample
More Information
See GET /v2/vector-databases/{}/backups in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.